> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-orders/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get spread order history GET https://www.okx.com/api/v5/sprd/orders-history Retrieve the completed spread order records for the last 7 days, including those canceled with a filled amount of 0. Reference: https://okx-demo.ferndocs.com/api/api-reference/spread-trading/get-orders ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `sprdId` (string, optional) — Spread ID, e.g. BTC-USDT_BTC-USDT-SWAP. - `ordType` (enum, optional) — Order type. - Allowed values: `limit`, `post_only`, `ioc`, `market` - `state` (enum, optional) — Order state. - Allowed values: `canceled`, `filled` - `beginId` (string, optional) — Start order ID the request to begin with. Pagination of data to return records newer than the requested ordId, not including beginId. - `endId` (string, optional) — End order ID the request to end with. Pagination of data to return records older than the requested ordId, not including endId. - `begin` (string, optional) — Filter with a begin timestamp. Unix timestamp in milliseconds. - `end` (string, optional) — Filter with an end timestamp. Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. The maximum is 100; the default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5SprdOrdersHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5SprdOrdersHistoryGetResponsesContentApplicationJsonSchemaDataItems - `instId` (string, optional) — Instrument ID (spread ID). - `ordId` (string, optional) — Order ID. - `clOrdId` (string, optional) — Client Order ID as assigned by the client. - `tag` (string, optional) — Order tag. - `px` (string, optional) — Price. - `sz` (string, optional) — Original order quantity. - `ordType` (string, optional) — Order type. - `side` (string, optional) — Order side. - `fillSz` (string, optional) — Last filled quantity. - `fillPx` (string, optional) — Last filled price. - `tradeId` (string, optional) — Last trade ID. - `accFillSz` (string, optional) — Accumulated filled quantity. - `pendingFillSz` (string, optional) — Quantity still pending to be filled. - `pendingSettleSz` (string, optional) — Quantity that is filled but pending to be settled. - `canceledSz` (string, optional) — Quantity canceled due to rejection or cancellation. - `avgPx` (string, optional) — Average filled price. If none, returns an empty string. - `state` (string, optional) — Order state. - `cancelSource` (string, optional) — Source of the order cancellation. - `uTime` (string, optional) — Update time, Unix timestamp in milliseconds. - `cTime` (string, optional) — Creation time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ordId": "312269865356374016", "clOrdId": "b1", "tag": "", "px": "999", "sz": "3", "ordType": "limit", "side": "buy", "fillSz": "0", "fillPx": "", "tradeId": "", "accFillSz": "0", "pendingFillSz": "2", "pendingSettleSz": "1", "canceledSz": "1", "avgPx": "0", "state": "live", "cancelSource": "", "uTime": "1597026383085", "cTime": "1597026383085", "sprdId": "BTC-USDT_BTC-UST-SWAP" } ] } ``` **SDK Code** ```python spreadTrading_getOrders_example import requests url = "https://www.okx.com/api/v5/sprd/orders-history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript spreadTrading_getOrders_example const url = 'https://www.okx.com/api/v5/sprd/orders-history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go spreadTrading_getOrders_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/sprd/orders-history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby spreadTrading_getOrders_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/sprd/orders-history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java spreadTrading_getOrders_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/sprd/orders-history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php spreadTrading_getOrders_example request('GET', 'https://www.okx.com/api/v5/sprd/orders-history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp spreadTrading_getOrders_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/sprd/orders-history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift spreadTrading_getOrders_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/sprd/orders-history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```